GNU bug report logs - #14983
24.3.50; url-http-end-of-document-sentinel does not work with https

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Erik Hetzner <egh@HIDDEN>; dated Tue, 30 Jul 2013 02:31:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 14983 <at> debbugs.gnu.org:


Received: (at 14983) by debbugs.gnu.org; 25 Dec 2015 21:04:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Dec 25 16:04:00 2015
Received: from localhost ([127.0.0.1]:35530 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aCZWq-0006kY-MP
	for submit <at> debbugs.gnu.org; Fri, 25 Dec 2015 16:04:00 -0500
Received: from hermes.netfonds.no ([80.91.224.195]:49344)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <larsi@HIDDEN>) id 1aCZWp-0006kR-43
 for 14983 <at> debbugs.gnu.org; Fri, 25 Dec 2015 16:03:59 -0500
Received: from 2.150.58.24.tmi.telenormobil.no ([2.150.58.24] helo=mouse)
 by hermes.netfonds.no with esmtpsa (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.72) (envelope-from <larsi@HIDDEN>)
 id 1aCZWS-0004Pu-CM; Fri, 25 Dec 2015 22:03:36 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Erik Hetzner <erik.hetzner@HIDDEN>
Subject: Re: bug#14983: 24.3.50;
 url-http-end-of-document-sentinel does not work with https
References: <87bo5kixuj.wl%egh@HIDDEN> <mvm61vssa6n.fsf@HIDDEN>
 <20130730141910.2167122AC01@HIDDEN>
Date: Fri, 25 Dec 2015 22:03:35 +0100
In-Reply-To: <20130730141910.2167122AC01@HIDDEN> (Erik Hetzner's
 message of "Tue, 30 Jul 2013 07:20:01 -0700")
Message-ID: <87egea1brs.fsf@HIDDEN>
User-Agent: Gnus/5.130014 (Ma Gnus v0.14) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-MailScanner-ID: 1aCZWS-0004Pu-CM
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1451682216.69812@8ZEP5SMHIb26nZumENgTIg
X-Spam-Status: No
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14983
Cc: 14983 <at> debbugs.gnu.org, Andreas Schwab <schwab@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Erik Hetzner <erik.hetzner@HIDDEN> writes:

> This patch modifies url-https to support an optional retry-buffer
> argument, making this better approach possible.
>
> diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> index 7f21a38..868b6ff 100644
> --- a/lisp/url/url-http.el
> +++ b/lisp/url/url-http.el
> @@ -895,8 +895,11 @@ should be shown to the user."
>                 (let ((url-request-method url-http-method)
>                       (url-request-extra-headers url-http-extra-headers)
>                       (url-request-data url-http-data))
> -                 (url-http url-current-object url-callback-function
> -                           url-callback-arguments (current-buffer)))))
> +                 (if (string= "https" (url-type url-current-object))
> +                     (url-https url-current-object url-callback-function
> +                                url-callback-arguments (current-buffer))
> +                   (url-http url-current-object url-callback-function
> +                             url-callback-arguments (current-buffer))))))
>  	    ((url-http-parse-headers)
>  	     (url-http-activate-callback))))))
>  
> @@ -1432,7 +1435,7 @@ p3p
>         ,@(remove '&rest (remove '&optional args))))))
>  
>  ;;;###autoload (autoload 'url-https "url-http")
> -(url-https-create-secure-wrapper nil (url callback cbargs))
> +(url-https-create-secure-wrapper nil (url callback cbargs &optional retry-buffer))

I think this looks sensible, but the patch it two years old, so I wonder
whether there was a reason it wasn't applied back then?  Or whether this
was fixed a different way?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14983; Package emacs. Full text available.

Message received at 14983 <at> debbugs.gnu.org:


Received: (at 14983) by debbugs.gnu.org; 30 Jul 2013 15:42:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 11:42:37 2013
Received: from localhost ([127.0.0.1]:58613 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V4C4K-0008J1-TL
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2013 11:42:37 -0400
Received: from imail-04.ucop.edu ([128.48.123.92]:40206 helo=mailgate.ucop.edu)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <erik.hetzner@HIDDEN>) id 1V4Ame-0002aX-UP
 for 14983 <at> debbugs.gnu.org; Tue, 30 Jul 2013 10:20:17 -0400
X-WSS-ID: 0MQR6FZ-05-F9L-02
X-M-MSG: 
Received: from michel.ucop.edu (lb-vl-123-vip.ucop.edu [128.48.123.10])
 by mailgate.ucop.edu (Axway MailGate 5.3.0) with ESMTP id 2167122AC01;
 Tue, 30 Jul 2013 07:19:10 -0700 (PDT)
Date: Tue, 30 Jul 2013 07:20:01 -0700
From: Erik Hetzner <erik.hetzner@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#14983: 24.3.50;
 url-http-end-of-document-sentinel does not work with https
In-Reply-To: <mvm61vssa6n.fsf@HIDDEN>
References: <87bo5kixuj.wl%egh@HIDDEN>
	<mvm61vssa6n.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: multipart/mixed; boundary="Multipart_Tue_Jul_30_07:19:57_2013-1"
Message-Id: <20130730141910.2167122AC01@HIDDEN>
X-Spam-Score: -3.8 (---)
X-Debbugs-Envelope-To: 14983
X-Mailman-Approved-At: Tue, 30 Jul 2013 11:42:35 -0400
Cc: 14983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.8 (---)

--Multipart_Tue_Jul_30_07:19:57_2013-1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

At Tue, 30 Jul 2013 10:50:56 +0200,
Andreas Schwab wrote:
>=20
> Erik Hetzner <egh@HIDDEN> writes:
>=20
> [=E2=80=A6]
>=20
> I think this should use url-https instead for https connections.

This patch modifies url-https to support an optional retry-buffer
argument, making this better approach possible.


--Multipart_Tue_Jul_30_07:19:57_2013-1
Content-Type: text/plain; type=patch; charset=US-ASCII
Content-Disposition: attachment; filename="url-http-end-of-document-sentinel_https_fix_2.patch"
Content-Transfer-Encoding: base64

ZGlmZiAtLWdpdCBhL2xpc3AvdXJsL3VybC1odHRwLmVsIGIvbGlzcC91cmwvdXJsLWh0dHAuZWwK
aW5kZXggN2YyMWEzOC4uODY4YjZmZiAxMDA2NDQKLS0tIGEvbGlzcC91cmwvdXJsLWh0dHAuZWwK
KysrIGIvbGlzcC91cmwvdXJsLWh0dHAuZWwKQEAgLTg5NSw4ICs4OTUsMTEgQEAgc2hvdWxkIGJl
IHNob3duIHRvIHRoZSB1c2VyLiIKICAgICAgICAgICAgICAgIChsZXQgKCh1cmwtcmVxdWVzdC1t
ZXRob2QgdXJsLWh0dHAtbWV0aG9kKQogICAgICAgICAgICAgICAgICAgICAgKHVybC1yZXF1ZXN0
LWV4dHJhLWhlYWRlcnMgdXJsLWh0dHAtZXh0cmEtaGVhZGVycykKICAgICAgICAgICAgICAgICAg
ICAgICh1cmwtcmVxdWVzdC1kYXRhIHVybC1odHRwLWRhdGEpKQotICAgICAgICAgICAgICAgICAo
dXJsLWh0dHAgdXJsLWN1cnJlbnQtb2JqZWN0IHVybC1jYWxsYmFjay1mdW5jdGlvbgotICAgICAg
ICAgICAgICAgICAgICAgICAgICAgdXJsLWNhbGxiYWNrLWFyZ3VtZW50cyAoY3VycmVudC1idWZm
ZXIpKSkpKQorICAgICAgICAgICAgICAgICAoaWYgKHN0cmluZz0gImh0dHBzIiAodXJsLXR5cGUg
dXJsLWN1cnJlbnQtb2JqZWN0KSkKKyAgICAgICAgICAgICAgICAgICAgICh1cmwtaHR0cHMgdXJs
LWN1cnJlbnQtb2JqZWN0IHVybC1jYWxsYmFjay1mdW5jdGlvbgorICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICB1cmwtY2FsbGJhY2stYXJndW1lbnRzIChjdXJyZW50LWJ1ZmZlcikpCisg
ICAgICAgICAgICAgICAgICAgKHVybC1odHRwIHVybC1jdXJyZW50LW9iamVjdCB1cmwtY2FsbGJh
Y2stZnVuY3Rpb24KKyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgdXJsLWNhbGxiYWNrLWFy
Z3VtZW50cyAoY3VycmVudC1idWZmZXIpKSkpKSkKIAkgICAgKCh1cmwtaHR0cC1wYXJzZS1oZWFk
ZXJzKQogCSAgICAgKHVybC1odHRwLWFjdGl2YXRlLWNhbGxiYWNrKSkpKSkpCiAKQEAgLTE0MzIs
NyArMTQzNSw3IEBAIHAzcAogICAgICAgICxAKHJlbW92ZSAnJnJlc3QgKHJlbW92ZSAnJm9wdGlv
bmFsIGFyZ3MpKSkpKSkKIAogOzs7IyMjYXV0b2xvYWQgKGF1dG9sb2FkICd1cmwtaHR0cHMgInVy
bC1odHRwIikKLSh1cmwtaHR0cHMtY3JlYXRlLXNlY3VyZS13cmFwcGVyIG5pbCAodXJsIGNhbGxi
YWNrIGNiYXJncykpCisodXJsLWh0dHBzLWNyZWF0ZS1zZWN1cmUtd3JhcHBlciBuaWwgKHVybCBj
YWxsYmFjayBjYmFyZ3MgJm9wdGlvbmFsIHJldHJ5LWJ1ZmZlcikpCiA7OzsjIyNhdXRvbG9hZCAo
YXV0b2xvYWQgJ3VybC1odHRwcy1maWxlLWV4aXN0cy1wICJ1cmwtaHR0cCIpCiAodXJsLWh0dHBz
LWNyZWF0ZS1zZWN1cmUtd3JhcHBlciBmaWxlLWV4aXN0cy1wICh1cmwpKQogOzs7IyMjYXV0b2xv
YWQgKGF1dG9sb2FkICd1cmwtaHR0cHMtZmlsZS1yZWFkYWJsZS1wICJ1cmwtaHR0cCIpCg==

--Multipart_Tue_Jul_30_07:19:57_2013-1
Content-Type: text/plain; charset=US-ASCII


best, Erik

--Multipart_Tue_Jul_30_07:19:57_2013-1
Content-Type: text/plain; charset=US-ASCII

Sent from my free software system <http://fsf.org/>.

--Multipart_Tue_Jul_30_07:19:57_2013-1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14983; Package emacs. Full text available.

Message received at 14983 <at> debbugs.gnu.org:


Received: (at 14983) by debbugs.gnu.org; 30 Jul 2013 14:20:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 10:20:39 2013
Received: from localhost ([127.0.0.1]:58429 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V4Amz-0002bq-6r
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2013 10:20:38 -0400
Received: from mail-pd0-f177.google.com ([209.85.192.177]:55962)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ehetzner@HIDDEN>) id 1V4Amv-0002bU-60
 for 14983 <at> debbugs.gnu.org; Tue, 30 Jul 2013 10:20:33 -0400
Received: by mail-pd0-f177.google.com with SMTP id u11so6737908pdi.36
 for <14983 <at> debbugs.gnu.org>; Tue, 30 Jul 2013 07:20:27 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:date:message-id:from:to:cc:subject:in-reply-to:references
 :user-agent:reply-to:mime-version:content-type;
 bh=JxCBUu8JTn9MNSndtcadb11XxqVfjUz+4O8JFMHZlSs=;
 b=iNuvyHR68mQ4FngRznq/MRtVB1sClEA+yq1RT661Oxjxk+SsOsAIW4b9NbuRgP1GYa
 +YWc8uFxQs1uEIVydBIae3AmoOaUANvGHcR71Ckyie9pHVOCFCG6VS8X9bjsUJs6dAKU
 fIyr4w/mEbXCy0/Yz9ZZ+8I06b5fj4YWHdyXsEpMpXVosSdtDIBgqzyVwNY27xO0pkT9
 +c5YTScoC/G4xgsp/GSCPeYTqobgdupeeDSxiOLdG/911ESN1rK/7iol6ZxM1W8uWMVU
 K8Po3i0KwKGCuKM6PY5TQoYL7E0hTg/gxhwaxpPLCvYjZYviS7G7U4n8z4viD+O9dNMD
 4L1Q==
X-Received: by 10.68.189.133 with SMTP id gi5mr74154108pbc.49.1375194027055;
 Tue, 30 Jul 2013 07:20:27 -0700 (PDT)
Received: from michel.e6h.org (50-0-83-149.dsl.static.sonic.net. [50.0.83.149])
 by mx.google.com with ESMTPSA id xe9sm83345835pbc.21.2013.07.30.07.20.25
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Tue, 30 Jul 2013 07:20:26 -0700 (PDT)
Date: Tue, 30 Jul 2013 07:20:23 -0700
Message-ID: <878v0o9ljs.wl%egh@HIDDEN>
From: Erik Hetzner <egh@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#14983: 24.3.50;
 url-http-end-of-document-sentinel does not work with https
In-Reply-To: <mvm61vssa6n.fsf@HIDDEN>
References: <87bo5kixuj.wl%egh@HIDDEN>
	<mvm61vssa6n.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: multipart/mixed; boundary="Multipart_Tue_Jul_30_07:20:23_2013-1"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 14983
Cc: 14983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Erik Hetzner <egh@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

--Multipart_Tue_Jul_30_07:20:23_2013-1
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

At Tue, 30 Jul 2013 10:50:56 +0200,
Andreas Schwab wrote:
>=20
> Erik Hetzner <egh@HIDDEN> writes:
>=20
> [=E2=80=A6]
>=20
> I think this should use url-https instead for https connections.

This patch modifies url-https to support an optional retry-buffer
argument, making this better approach possible.


--Multipart_Tue_Jul_30_07:20:23_2013-1
Content-Type: text/plain; type=patch; charset=US-ASCII
Content-Disposition: attachment; filename="url-http-end-of-document-sentinel_https_fix_2.patch"
Content-Transfer-Encoding: base64

ZGlmZiAtLWdpdCBhL2xpc3AvdXJsL3VybC1odHRwLmVsIGIvbGlzcC91cmwvdXJsLWh0dHAuZWwK
aW5kZXggN2YyMWEzOC4uODY4YjZmZiAxMDA2NDQKLS0tIGEvbGlzcC91cmwvdXJsLWh0dHAuZWwK
KysrIGIvbGlzcC91cmwvdXJsLWh0dHAuZWwKQEAgLTg5NSw4ICs4OTUsMTEgQEAgc2hvdWxkIGJl
IHNob3duIHRvIHRoZSB1c2VyLiIKICAgICAgICAgICAgICAgIChsZXQgKCh1cmwtcmVxdWVzdC1t
ZXRob2QgdXJsLWh0dHAtbWV0aG9kKQogICAgICAgICAgICAgICAgICAgICAgKHVybC1yZXF1ZXN0
LWV4dHJhLWhlYWRlcnMgdXJsLWh0dHAtZXh0cmEtaGVhZGVycykKICAgICAgICAgICAgICAgICAg
ICAgICh1cmwtcmVxdWVzdC1kYXRhIHVybC1odHRwLWRhdGEpKQotICAgICAgICAgICAgICAgICAo
dXJsLWh0dHAgdXJsLWN1cnJlbnQtb2JqZWN0IHVybC1jYWxsYmFjay1mdW5jdGlvbgotICAgICAg
ICAgICAgICAgICAgICAgICAgICAgdXJsLWNhbGxiYWNrLWFyZ3VtZW50cyAoY3VycmVudC1idWZm
ZXIpKSkpKQorICAgICAgICAgICAgICAgICAoaWYgKHN0cmluZz0gImh0dHBzIiAodXJsLXR5cGUg
dXJsLWN1cnJlbnQtb2JqZWN0KSkKKyAgICAgICAgICAgICAgICAgICAgICh1cmwtaHR0cHMgdXJs
LWN1cnJlbnQtb2JqZWN0IHVybC1jYWxsYmFjay1mdW5jdGlvbgorICAgICAgICAgICAgICAgICAg
ICAgICAgICAgICAgICB1cmwtY2FsbGJhY2stYXJndW1lbnRzIChjdXJyZW50LWJ1ZmZlcikpCisg
ICAgICAgICAgICAgICAgICAgKHVybC1odHRwIHVybC1jdXJyZW50LW9iamVjdCB1cmwtY2FsbGJh
Y2stZnVuY3Rpb24KKyAgICAgICAgICAgICAgICAgICAgICAgICAgICAgdXJsLWNhbGxiYWNrLWFy
Z3VtZW50cyAoY3VycmVudC1idWZmZXIpKSkpKSkKIAkgICAgKCh1cmwtaHR0cC1wYXJzZS1oZWFk
ZXJzKQogCSAgICAgKHVybC1odHRwLWFjdGl2YXRlLWNhbGxiYWNrKSkpKSkpCiAKQEAgLTE0MzIs
NyArMTQzNSw3IEBAIHAzcAogICAgICAgICxAKHJlbW92ZSAnJnJlc3QgKHJlbW92ZSAnJm9wdGlv
bmFsIGFyZ3MpKSkpKSkKIAogOzs7IyMjYXV0b2xvYWQgKGF1dG9sb2FkICd1cmwtaHR0cHMgInVy
bC1odHRwIikKLSh1cmwtaHR0cHMtY3JlYXRlLXNlY3VyZS13cmFwcGVyIG5pbCAodXJsIGNhbGxi
YWNrIGNiYXJncykpCisodXJsLWh0dHBzLWNyZWF0ZS1zZWN1cmUtd3JhcHBlciBuaWwgKHVybCBj
YWxsYmFjayBjYmFyZ3MgJm9wdGlvbmFsIHJldHJ5LWJ1ZmZlcikpCiA7OzsjIyNhdXRvbG9hZCAo
YXV0b2xvYWQgJ3VybC1odHRwcy1maWxlLWV4aXN0cy1wICJ1cmwtaHR0cCIpCiAodXJsLWh0dHBz
LWNyZWF0ZS1zZWN1cmUtd3JhcHBlciBmaWxlLWV4aXN0cy1wICh1cmwpKQogOzs7IyMjYXV0b2xv
YWQgKGF1dG9sb2FkICd1cmwtaHR0cHMtZmlsZS1yZWFkYWJsZS1wICJ1cmwtaHR0cCIpCg==

--Multipart_Tue_Jul_30_07:20:23_2013-1
Content-Type: text/plain; charset=US-ASCII


best, Erik

--Multipart_Tue_Jul_30_07:20:23_2013-1
Content-Type: text/plain; charset=US-ASCII

Sent from my free software system <http://fsf.org/>.

--Multipart_Tue_Jul_30_07:20:23_2013-1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14983; Package emacs. Full text available.

Message received at 14983 <at> debbugs.gnu.org:


Received: (at 14983) by debbugs.gnu.org; 30 Jul 2013 14:01:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 10:01:25 2013
Received: from localhost ([127.0.0.1]:58400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V4AUP-0001n8-42
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2013 10:01:25 -0400
Received: from mail-pb0-f42.google.com ([209.85.160.42]:39424)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ehetzner@HIDDEN>) id 1V4AUN-0001mo-4g
 for 14983 <at> debbugs.gnu.org; Tue, 30 Jul 2013 10:01:23 -0400
Received: by mail-pb0-f42.google.com with SMTP id un1so6051039pbc.15
 for <14983 <at> debbugs.gnu.org>; Tue, 30 Jul 2013 07:01:17 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:date:message-id:from:to:cc:subject:in-reply-to:references
 :user-agent:reply-to:mime-version:content-type;
 bh=Pg6IfIjq9QCr4qYZRPjAl0Gi/umyLwskOaCH4vdU1Cs=;
 b=zSr5a7dGEfzbZLwBjOq1aUj3VXiAexZ2Akd9XzqmVvcCTwY7YSUOOGxN4IoHrYFM0l
 MTlMxwlGmBV/TNXr150eTvgT+SJzFZL5LRYmz/0oP9/KGaDRirDfu5JkNr+2ruVa23ku
 m52s3ZBy3HQVW140Uo0hA2ZsPgiBbWnzwzk87mwVDFzdHXE4Z8WDWgf5w2vm7ISFvVYe
 kJqQAemQ2jiP9K/pmPjZbLNLILgbW+MT0SFXvSsRt8Nmn2XEZIE17MnjghQnAXXD76h6
 LpaSqS/N+WL09OlYXT0NWgqIRJ01hS0uPBHfvoHFZO3t5uHdTyRf+G3HClTsMXBrx1ce
 zYKQ==
X-Received: by 10.66.141.232 with SMTP id rr8mr56609810pab.184.1375192876898; 
 Tue, 30 Jul 2013 07:01:16 -0700 (PDT)
Received: from michel.e6h.org (50-0-83-149.dsl.static.sonic.net. [50.0.83.149])
 by mx.google.com with ESMTPSA id vu5sm27231252pab.10.2013.07.30.07.01.14
 for <multiple recipients>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Tue, 30 Jul 2013 07:01:15 -0700 (PDT)
Date: Tue, 30 Jul 2013 07:01:13 -0700
Message-ID: <87d2q09mfq.wl%egh@HIDDEN>
From: Erik Hetzner <egh@HIDDEN>
To: Andreas Schwab <schwab@HIDDEN>
Subject: Re: bug#14983: 24.3.50;
 url-http-end-of-document-sentinel does not work with https
In-Reply-To: <mvm61vssa6n.fsf@HIDDEN>
References: <87bo5kixuj.wl%egh@HIDDEN>
	<mvm61vssa6n.fsf@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI/1.14.6 (Maruoka)
 FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=) APEL/10.8 Emacs/24.3
 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: multipart/mixed; boundary="Multipart_Tue_Jul_30_07:01:12_2013-1"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 14983
Cc: 14983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Erik Hetzner <egh@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

--Multipart_Tue_Jul_30_07:01:12_2013-1
Content-Type: text/plain; charset=US-ASCII

At Tue, 30 Jul 2013 10:50:56 +0200,
Andreas Schwab wrote:
> 
> Erik Hetzner <egh@HIDDEN> writes:
> 
> > diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> > index 7f21a38..4ee9377 100644
> > --- a/lisp/url/url-http.el
> > +++ b/lisp/url/url-http.el
> > @@ -895,6 +895,8 @@ should be shown to the user."
> >                 (let ((url-request-method url-http-method)
> >                       (url-request-extra-headers url-http-extra-headers)
> >                       (url-request-data url-http-data))
> > +                 (if (string= "https" (url-type url-current-object))
> > +                     (setq url-gateway-method 'tls))
> >                   (url-http url-current-object url-callback-function
> >                             url-callback-arguments (current-buffer)))))
> 
> I think this should use url-https instead for https connections.
> 
> Andreas.

Hi Andreas,

That would be a better solution, but url-https does not currently take
a retry-buffer argument:

(url-http URL CALLBACK CBARGS &optional RETRY-BUFFER)
(url-https URL CALLBACK CBARGS)

Maybe it should be modified to pass through an optional retry-buffer?

best, Erik

--Multipart_Tue_Jul_30_07:01:12_2013-1
Content-Type: text/plain; charset=US-ASCII

Sent from my free software system <http://fsf.org/>.

--Multipart_Tue_Jul_30_07:01:12_2013-1--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14983; Package emacs. Full text available.

Message received at 14983 <at> debbugs.gnu.org:


Received: (at 14983) by debbugs.gnu.org; 30 Jul 2013 08:51:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 04:51:01 2013
Received: from localhost ([127.0.0.1]:57447 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V45e0-0007uQ-SX
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2013 04:51:01 -0400
Received: from cantor2.suse.de ([195.135.220.15]:45360 helo=mx2.suse.de)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <schwab@HIDDEN>) id 1V45dx-0007u5-Qc
 for 14983 <at> debbugs.gnu.org; Tue, 30 Jul 2013 04:50:58 -0400
Received: from relay1.suse.de (unknown [195.135.220.254])
 by mx2.suse.de (Postfix) with ESMTP id 5BB95A5211;
 Tue, 30 Jul 2013 10:50:56 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Erik Hetzner <egh@HIDDEN>
Subject: Re: bug#14983: 24.3.50;
 url-http-end-of-document-sentinel does not work with https
References: <87bo5kixuj.wl%egh@HIDDEN>
X-Yow: WHOA!!  Ken and Barbie are having TOO MUCH FUN!!  It must
 be the NEGATIVE IONS!!
Date: Tue, 30 Jul 2013 10:50:56 +0200
In-Reply-To: <87bo5kixuj.wl%egh@HIDDEN> (Erik Hetzner's message of "Mon, 29
 Jul 2013 19:29:56 -0700")
Message-ID: <mvm61vssa6n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.5 (------)
X-Debbugs-Envelope-To: 14983
Cc: 14983 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.5 (------)

Erik Hetzner <egh@HIDDEN> writes:

> diff --git a/lisp/url/url-http.el b/lisp/url/url-http.el
> index 7f21a38..4ee9377 100644
> --- a/lisp/url/url-http.el
> +++ b/lisp/url/url-http.el
> @@ -895,6 +895,8 @@ should be shown to the user."
>                 (let ((url-request-method url-http-method)
>                       (url-request-extra-headers url-http-extra-headers)
>                       (url-request-data url-http-data))
> +                 (if (string= "https" (url-type url-current-object))
> +                     (setq url-gateway-method 'tls))
>                   (url-http url-current-object url-callback-function
>                             url-callback-arguments (current-buffer)))))

I think this should use url-https instead for https connections.

Andreas.

-- 
Andreas Schwab, SUSE Labs, schwab@HIDDEN
GPG Key fingerprint = 0196 BAD8 1CE9 1970 F4BE  1748 E4D4 88E3 0EEA B9D7
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#14983; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Jul 2013 02:30:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 22:30:30 2013
Received: from localhost ([127.0.0.1]:57164 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V3zhj-0006PU-U4
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2013 22:30:29 -0400
Received: from eggs.gnu.org ([208.118.235.92]:36354)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <ehetzner@HIDDEN>) id 1V3zhe-0006P1-Hs
 for submit <at> debbugs.gnu.org; Mon, 29 Jul 2013 22:30:25 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ehetzner@HIDDEN>) id 1V3zhU-0005Ly-IM
 for submit <at> debbugs.gnu.org; Mon, 29 Jul 2013 22:30:17 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-100.0 required=5.0 tests=BAYES_40,FREEMAIL_FROM,
 T_DKIM_INVALID,USER_IN_WHITELIST autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:41023)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ehetzner@HIDDEN>) id 1V3zhU-0005Lu-F1
 for submit <at> debbugs.gnu.org; Mon, 29 Jul 2013 22:30:12 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38042)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ehetzner@HIDDEN>) id 1V3zhP-000050-Ru
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jul 2013 22:30:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ehetzner@HIDDEN>) id 1V3zhL-00059z-9W
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jul 2013 22:30:07 -0400
Received: from mail-pa0-x234.google.com ([2607:f8b0:400e:c03::234]:62529)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <ehetzner@HIDDEN>) id 1V3zhK-00053s-QR
 for bug-gnu-emacs@HIDDEN; Mon, 29 Jul 2013 22:30:03 -0400
Received: by mail-pa0-f52.google.com with SMTP id kq13so6508244pab.39
 for <bug-gnu-emacs@HIDDEN>; Mon, 29 Jul 2013 19:30:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:date:message-id:from:to:subject:reply-to:user-agent
 :mime-version:content-type;
 bh=N1xYlJtKctIP+MlqNy7RfSMAnR/1aSs/GVDyccruOu0=;
 b=UjyFjpYAO43CBQj/Xy0DntqurCTwyhIii26NMxzpoOpwIzAnrPLlpWgme4wDg7h8rN
 souMLVnDvZXGvNMknsCv+stZGwWR5Uw9c3VUz1/KyUfZqate+CrR0gC/NpDlchCQC/R1
 +sEJCxHdf0tGoyNbSBvrf9bkkjgHsvOjJwV3uk/2mDu7ssEDiniVH/d0jC9qN+iDc0lM
 r5lBv5LgQZKEkIeE18+IDlua4dKK/7+BfPbveTFRjl74ahoNd3dZFLB4Y9Gl8NDSrRYM
 DtVn85lQDVIXRE/dTmRKm+CDBN+4ugArSy1Y6J3HMiaO8fPRt+ITKN7mjAPYp16uoakC
 qMfg==
X-Received: by 10.68.234.72 with SMTP id uc8mr71657966pbc.35.1375151401319;
 Mon, 29 Jul 2013 19:30:01 -0700 (PDT)
Received: from michel.e6h.org (50-0-83-149.dsl.static.sonic.net. [50.0.83.149])
 by mx.google.com with ESMTPSA id wr9sm79966982pbc.7.2013.07.29.19.29.58
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=RC4-SHA bits=128/128);
 Mon, 29 Jul 2013 19:30:00 -0700 (PDT)
Date: Mon, 29 Jul 2013 19:29:56 -0700
Message-ID: <87bo5kixuj.wl%egh@HIDDEN>
From: Erik Hetzner <egh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.3.50; url-http-end-of-document-sentinel does not work with https
User-Agent: SEMI/1.14.6 (Maruoka) FLIM/1.14.9 (=?UTF-8?B?R29qxY0=?=)
 APEL/10.8 Emacs/24.3.50 (x86_64-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: multipart/mixed; boundary="Multipart_Mon_Jul_29_19:29:56_2013-1"
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Erik Hetzner <egh@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

--Multipart_Mon_Jul_29_19:29:56_2013-1
Content-Type: text/plain; charset=US-ASCII


Using org-caldav-sync, which connects to an https server, I was
consistently getting errors whose root cause was
url-retrieve-synchronously returning an empty buffer. *URL-DEBUG*
looked like:

  ...
  http -> url-http-end-of-document-sentinel in buffer ( *http XXX.example.org:443*)
  http -> Marking connection as free: XXX.example.org:443 #<process XXX.example.org>
  http -> Activating callback in buffer ( *http XXX.example.org:443*)
  retrieval -> Synchronous fetching done (#<buffer  *http XXX.example.org:443*>)

The buffer returned by url-retrieve-synchronously was empty.

It seems that url-http-end-of-document-sentinel does not set the
variable url-gateway-method to 'tls before calling url-http when using
https. Changing url-http-end-of-document-sentinel to set
url-gateway-method to 'tls if the url has scheme https fixes the
issue.

Patch for a proposed fix, which works for me, is attached.

I believe this is also the issue report here:
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9592


--Multipart_Mon_Jul_29_19:29:56_2013-1
Content-Type: text/plain; type=patch; charset=US-ASCII
Content-Disposition: attachment; filename="url-http-end-of-document-sentinel_https_fix.patch"
Content-Transfer-Encoding: base64

ZGlmZiAtLWdpdCBhL2xpc3AvdXJsL3VybC1odHRwLmVsIGIvbGlzcC91cmwvdXJsLWh0dHAuZWwK
aW5kZXggN2YyMWEzOC4uNGVlOTM3NyAxMDA2NDQKLS0tIGEvbGlzcC91cmwvdXJsLWh0dHAuZWwK
KysrIGIvbGlzcC91cmwvdXJsLWh0dHAuZWwKQEAgLTg5NSw2ICs4OTUsOCBAQCBzaG91bGQgYmUg
c2hvd24gdG8gdGhlIHVzZXIuIgogICAgICAgICAgICAgICAgKGxldCAoKHVybC1yZXF1ZXN0LW1l
dGhvZCB1cmwtaHR0cC1tZXRob2QpCiAgICAgICAgICAgICAgICAgICAgICAodXJsLXJlcXVlc3Qt
ZXh0cmEtaGVhZGVycyB1cmwtaHR0cC1leHRyYS1oZWFkZXJzKQogICAgICAgICAgICAgICAgICAg
ICAgKHVybC1yZXF1ZXN0LWRhdGEgdXJsLWh0dHAtZGF0YSkpCisgICAgICAgICAgICAgICAgIChp
ZiAoc3RyaW5nPSAiaHR0cHMiICh1cmwtdHlwZSB1cmwtY3VycmVudC1vYmplY3QpKQorICAgICAg
ICAgICAgICAgICAgICAgKHNldHEgdXJsLWdhdGV3YXktbWV0aG9kICd0bHMpKQogICAgICAgICAg
ICAgICAgICAodXJsLWh0dHAgdXJsLWN1cnJlbnQtb2JqZWN0IHVybC1jYWxsYmFjay1mdW5jdGlv
bgogICAgICAgICAgICAgICAgICAgICAgICAgICAgdXJsLWNhbGxiYWNrLWFyZ3VtZW50cyAoY3Vy
cmVudC1idWZmZXIpKSkpKQogCSAgICAoKHVybC1odHRwLXBhcnNlLWhlYWRlcnMpCg==

--Multipart_Mon_Jul_29_19:29:56_2013-1
Content-Type: text/plain; charset=US-ASCII




In GNU Emacs 24.3.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.6.4)
 of 2013-07-25 on menkalinan, modified by Debian
 (emacs-snapshot package, version 2:20130724-1~ppa1~raring1)
Windowing system distributor `The X.Org Foundation', version 11.0.11303000
System Description:	Ubuntu 13.04

Configured using:
 `configure --build x86_64-linux-gnu --host x86_64-linux-gnu
 --prefix=/usr --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var --infodir=/usr/share/info --mandir=/usr/share/man
 --with-pop=yes
 --enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.3.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.3.50/site-lisp:/usr/share/emacs/site-lisp
 --without-compress-info --with-crt-dir=/usr/lib/x86_64-linux-gnu/
 --with-x=yes --with-x-toolkit=gtk3 --with-imagemagick=yes
 CFLAGS='-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2'
 CPPFLAGS='-D_FORTIFY_SOURCE=2' LDFLAGS='-g -Wl,--as-needed
 -znocombreloc''

Important settings:
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  shell-dirtrack-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
<return> C-x C-f C-g C-x C-f . a u <tab> t h <tab> 
C-j M-> C-y C-x C-s M-x o r g - c a l d <tab> <return> 
s <tab> <return> <up> M-x r e <backspace> <backspace> 
e m <tab> a <tab> <tab> <M-backspace> r e p o r <tab> 
<return>

Recent messages:
Speck-mode turned off [2 times]
Using dictionary "en_US" and filter "URL" [2 times]
Speck-mode turned off [4 times]
Using dictionary "en_US" and filter "URL" [55 times]
Speck-mode turned off [31 times]
55 unique files scanned for IDs
Using dictionary "en_US" and filter "URL"
Contacting host: XXX.example.org:443
url-dav-request: Wrong type argument: integer-or-marker-p, nil
Making completion list... [2 times]

Load-path shadows:
/home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/utils/ssl hides /home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/site-lisp/wl/ssl
/home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/utils/wl-complete hides /home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/site-lisp/wl/wl-complete
/home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/utils/wl-mailto hides /home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/site-lisp/wl/wl-mailto
/home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/utils/im-wl hides /home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/site-lisp/wl/im-wl
/home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/utils/wl-addrbook hides /home/egh/.emacs.d/el-get-24.3.50.1/wanderlust/site-lisp/wl/wl-addrbook
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/.dir-locals hides /home/egh/.emacs.d/el-get-24.3.50.1/magit/.dir-locals
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/.dir-locals hides /home/egh/.emacs.d/el-get-24.3.50.1/el-get/.dir-locals
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3mhack hides /usr/share/emacs-snapshot/site-lisp/w3m/w3mhack
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-hist hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-hist
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/mime-w3m hides /usr/share/emacs-snapshot/site-lisp/w3m/mime-w3m
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-antenna hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-antenna
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-bookmark hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-bookmark
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-favicon hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-favicon
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-form hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-form
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-proc hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-proc
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-filter hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-filter
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/octet hides /usr/share/emacs-snapshot/site-lisp/w3m/octet
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/mew-w3m hides /usr/share/emacs-snapshot/site-lisp/w3m/mew-w3m
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-perldoc hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-perldoc
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-cookie hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-cookie
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-bug hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-bug
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-ccl hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-ccl
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-symbol hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-symbol
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-namazu hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-namazu
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-image hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-image
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-util hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-util
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-weather hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-weather
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-search hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-search
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-load hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-load
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-rss hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-rss
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-tabmenu hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-tabmenu
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-dtree hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-dtree
/home/egh/.emacs.d/el-get-24.3.50.1/emacs-w3m/w3m-lnum hides /usr/share/emacs-snapshot/site-lisp/w3m/w3m-lnum
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/contrib/lisp/htmlize hides /usr/share/emacs-snapshot/site-lisp/emacs-goodies-el/htmlize
/usr/share/emacs/24.3.50/site-lisp/cmake-data/cmake-mode hides /usr/share/emacs/site-lisp/cmake-mode
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/md4 hides /usr/share/emacs/24.3.50/lisp/md4
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/hex-util hides /usr/share/emacs/24.3.50/lisp/hex-util
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-plantuml hides /usr/share/emacs/24.3.50/lisp/org/ob-plantuml
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-bibtex hides /usr/share/emacs/24.3.50/lisp/org/org-bibtex
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-tangle hides /usr/share/emacs/24.3.50/lisp/org/ob-tangle
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-compat hides /usr/share/emacs/24.3.50/lisp/org/org-compat
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-gnus hides /usr/share/emacs/24.3.50/lisp/org/org-gnus
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-keys hides /usr/share/emacs/24.3.50/lisp/org/ob-keys
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/contrib/lisp/org-vm hides /usr/share/emacs/24.3.50/lisp/org/org-vm
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-loaddefs hides /usr/share/emacs/24.3.50/lisp/org/org-loaddefs
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-exp hides /usr/share/emacs/24.3.50/lisp/org/ob-exp
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-mobile hides /usr/share/emacs/24.3.50/lisp/org/org-mobile
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-timer hides /usr/share/emacs/24.3.50/lisp/org/org-timer
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-sass hides /usr/share/emacs/24.3.50/lisp/org/ob-sass
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-faces hides /usr/share/emacs/24.3.50/lisp/org/org-faces
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-C hides /usr/share/emacs/24.3.50/lisp/org/ob-C
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-version hides /usr/share/emacs/24.3.50/lisp/org/org-version
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-protocol hides /usr/share/emacs/24.3.50/lisp/org/org-protocol
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-indent hides /usr/share/emacs/24.3.50/lisp/org/org-indent
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-clojure hides /usr/share/emacs/24.3.50/lisp/org/ob-clojure
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-python hides /usr/share/emacs/24.3.50/lisp/org/ob-python
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-footnote hides /usr/share/emacs/24.3.50/lisp/org/org-footnote
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-fortran hides /usr/share/emacs/24.3.50/lisp/org/ob-fortran
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-docview hides /usr/share/emacs/24.3.50/lisp/org/org-docview
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-table hides /usr/share/emacs/24.3.50/lisp/org/ob-table
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-ref hides /usr/share/emacs/24.3.50/lisp/org/ob-ref
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-ctags hides /usr/share/emacs/24.3.50/lisp/org/org-ctags
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-scala hides /usr/share/emacs/24.3.50/lisp/org/ob-scala
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-matlab hides /usr/share/emacs/24.3.50/lisp/org/ob-matlab
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-irc hides /usr/share/emacs/24.3.50/lisp/org/org-irc
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-perl hides /usr/share/emacs/24.3.50/lisp/org/ob-perl
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-install hides /usr/share/emacs/24.3.50/lisp/org/org-install
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-element hides /usr/share/emacs/24.3.50/lisp/org/org-element
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-sh hides /usr/share/emacs/24.3.50/lisp/org/ob-sh
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-sql hides /usr/share/emacs/24.3.50/lisp/org/ob-sql
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-entities hides /usr/share/emacs/24.3.50/lisp/org/org-entities
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-list hides /usr/share/emacs/24.3.50/lisp/org/org-list
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-pcomplete hides /usr/share/emacs/24.3.50/lisp/org/org-pcomplete
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-w3m hides /usr/share/emacs/24.3.50/lisp/org/org-w3m
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-sqlite hides /usr/share/emacs/24.3.50/lisp/org/ob-sqlite
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-lilypond hides /usr/share/emacs/24.3.50/lisp/org/ob-lilypond
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-ruby hides /usr/share/emacs/24.3.50/lisp/org/ob-ruby
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/contrib/lisp/org-mew hides /usr/share/emacs/24.3.50/lisp/org/org-mew
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-R hides /usr/share/emacs/24.3.50/lisp/org/ob-R
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-macs hides /usr/share/emacs/24.3.50/lisp/org/org-macs
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-eshell hides /usr/share/emacs/24.3.50/lisp/org/org-eshell
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-java hides /usr/share/emacs/24.3.50/lisp/org/ob-java
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-bbdb hides /usr/share/emacs/24.3.50/lisp/org/org-bbdb
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-scheme hides /usr/share/emacs/24.3.50/lisp/org/ob-scheme
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-plot hides /usr/share/emacs/24.3.50/lisp/org/org-plot
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-lob hides /usr/share/emacs/24.3.50/lisp/org/ob-lob
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-latex hides /usr/share/emacs/24.3.50/lisp/org/ob-latex
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-ledger hides /usr/share/emacs/24.3.50/lisp/org/ob-ledger
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-mouse hides /usr/share/emacs/24.3.50/lisp/org/org-mouse
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-crypt hides /usr/share/emacs/24.3.50/lisp/org/org-crypt
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-clock hides /usr/share/emacs/24.3.50/lisp/org/org-clock
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-ditaa hides /usr/share/emacs/24.3.50/lisp/org/ob-ditaa
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-js hides /usr/share/emacs/24.3.50/lisp/org/ob-js
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-archive hides /usr/share/emacs/24.3.50/lisp/org/org-archive
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-colview hides /usr/share/emacs/24.3.50/lisp/org/org-colview
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-feed hides /usr/share/emacs/24.3.50/lisp/org/org-feed
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-io hides /usr/share/emacs/24.3.50/lisp/org/ob-io
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-octave hides /usr/share/emacs/24.3.50/lisp/org/ob-octave
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-emacs-lisp hides /usr/share/emacs/24.3.50/lisp/org/ob-emacs-lisp
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-awk hides /usr/share/emacs/24.3.50/lisp/org/ob-awk
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-datetree hides /usr/share/emacs/24.3.50/lisp/org/org-datetree
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org hides /usr/share/emacs/24.3.50/lisp/org/org
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-mscgen hides /usr/share/emacs/24.3.50/lisp/org/ob-mscgen
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob hides /usr/share/emacs/24.3.50/lisp/org/ob
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-css hides /usr/share/emacs/24.3.50/lisp/org/ob-css
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-rmail hides /usr/share/emacs/24.3.50/lisp/org/org-rmail
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-haskell hides /usr/share/emacs/24.3.50/lisp/org/ob-haskell
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-mhe hides /usr/share/emacs/24.3.50/lisp/org/org-mhe
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/contrib/lisp/org-mac-message hides /usr/share/emacs/24.3.50/lisp/org/org-mac-message
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-ocaml hides /usr/share/emacs/24.3.50/lisp/org/ob-ocaml
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-src hides /usr/share/emacs/24.3.50/lisp/org/org-src
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-gnuplot hides /usr/share/emacs/24.3.50/lisp/org/ob-gnuplot
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-capture hides /usr/share/emacs/24.3.50/lisp/org/org-capture
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-attach hides /usr/share/emacs/24.3.50/lisp/org/org-attach
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-shen hides /usr/share/emacs/24.3.50/lisp/org/ob-shen
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-asymptote hides /usr/share/emacs/24.3.50/lisp/org/ob-asymptote
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-inlinetask hides /usr/share/emacs/24.3.50/lisp/org/org-inlinetask
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-maxima hides /usr/share/emacs/24.3.50/lisp/org/ob-maxima
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-picolisp hides /usr/share/emacs/24.3.50/lisp/org/ob-picolisp
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-org hides /usr/share/emacs/24.3.50/lisp/org/ob-org
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-id hides /usr/share/emacs/24.3.50/lisp/org/org-id
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-lisp hides /usr/share/emacs/24.3.50/lisp/org/ob-lisp
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/contrib/lisp/org-wl hides /usr/share/emacs/24.3.50/lisp/org/org-wl
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-comint hides /usr/share/emacs/24.3.50/lisp/org/ob-comint
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-habit hides /usr/share/emacs/24.3.50/lisp/org/org-habit
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-dot hides /usr/share/emacs/24.3.50/lisp/org/ob-dot
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-calc hides /usr/share/emacs/24.3.50/lisp/org/ob-calc
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-eval hides /usr/share/emacs/24.3.50/lisp/org/ob-eval
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-agenda hides /usr/share/emacs/24.3.50/lisp/org/org-agenda
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-info hides /usr/share/emacs/24.3.50/lisp/org/org-info
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/org-table hides /usr/share/emacs/24.3.50/lisp/org/org-table
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/lisp/ob-screen hides /usr/share/emacs/24.3.50/lisp/org/ob-screen
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/sasl-ntlm hides /usr/share/emacs/24.3.50/lisp/net/sasl-ntlm
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/hmac-def hides /usr/share/emacs/24.3.50/lisp/net/hmac-def
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/sasl hides /usr/share/emacs/24.3.50/lisp/net/sasl
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/sasl-cram hides /usr/share/emacs/24.3.50/lisp/net/sasl-cram
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/hmac-md5 hides /usr/share/emacs/24.3.50/lisp/net/hmac-md5
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/sasl-digest hides /usr/share/emacs/24.3.50/lisp/net/sasl-digest
/home/egh/.emacs.d/el-get-24.3.50.1/flim/site-lisp/flim/ntlm hides /usr/share/emacs/24.3.50/lisp/net/ntlm
/home/egh/.emacs.d/el-get-24.3.50.1/org-mode/.dir-locals hides /usr/share/emacs/24.3.50/lisp/gnus/.dir-locals
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/smime hides /usr/share/emacs/24.3.50/lisp/gnus/smime
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/pgg-parse hides /usr/share/emacs/24.3.50/lisp/obsolete/pgg-parse
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/pgg hides /usr/share/emacs/24.3.50/lisp/obsolete/pgg
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/pgg-def hides /usr/share/emacs/24.3.50/lisp/obsolete/pgg-def
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/pgg-gpg hides /usr/share/emacs/24.3.50/lisp/obsolete/pgg-gpg
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/pgg-pgp5 hides /usr/share/emacs/24.3.50/lisp/obsolete/pgg-pgp5
/home/egh/.emacs.d/el-get-24.3.50.1/semi/site-lisp/semi/pgg-pgp hides /usr/share/emacs/24.3.50/lisp/obsolete/pgg-pgp

Features:
(shadow sort mail-extr emacsbug vc-git autorevert filenotify speck ox-md
ox-confluence org-wl org-w3m org-timer org-mu4e org-irc org-jsinfo
org-infojs org-html org-exp org-exp-blocks org-info org-habit
org-docview org-clock org-archive org-agenda gnutls network-stream
starttls org-caldav icalendar diary-lib diary-loaddefs org-id ox-latex
ox-icalendar ox-html ox-ascii ox-publish ox url-dav url-http tls
url-auth url-gw url-handlers windmove tramp tramp-compat tramp-loaddefs
trampver shell quail zenburn-theme iswitchb edmacro kmacro .loaddefs
twittering-mode scala-mode2 scala-mode2-map scala-mode2-fontlock
scala-mode2-indent scala-mode2-paragraph scala-mode2-syntax
scala-mode2-lib org-element org warnings advice org-macro org-footnote
org-pcomplete pcomplete org-list org-faces org-entities noutline outline
org-version ob-emacs-lisp ob ob-tangle org-src ob-ref ob-lob ob-table
ob-keys ob-exp ob-comint ob-core ob-eval org-compat org-macs
org-loaddefs find-func cal-menu calendar cal-loaddefs monky bindat
google-contacts-message google-contacts xml url-cache url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
mailcap url-util url-parse url-vars google-oauth mu4e mu4e-speedbar
speedbar sb-image ezimage dframe mu4e-main mu4e-view epa derived epg
epg-config browse-url comint ansi-color ring mu4e-headers mu4e-compose
mu4e-draft mu4e-actions rfc2368 smtpmail auth-source eieio eieio-core
gnus-util password-cache sendmail mu4e-mark mu4e-message html2text
mu4e-proc mu4e-utils doc-view jka-compr image-mode mu4e-lists mu4e-about
mu4e-vars message byte-opt format-spec rfc822 mml mml-sec mm-decode
mm-bodies mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mailabbrev mail-utils gmm-utils mailheader hl-line
mu4e-meta el-get cl-macs gv el-get-autoloads el-get-list-packages
el-get-notify help-mode easymenu el-get-dependencies el-get-build
el-get-status pp el-get-recipes el-get-byte-compile el-get-methods
el-get-fossil el-get-svn el-get-pacman el-get-github-zip
el-get-github-tar el-get-http-zip el-get-http-tar el-get-hg
el-get-git-svn el-get-fink el-get-emacswiki el-get-http
el-get-emacsmirror el-get-github el-get-git el-get-elpa el-get-darcs
el-get-cvs el-get-bzr el-get-brew el-get-builtin el-get-apt-get
el-get-custom el-get-core autoload help-fns lisp-mnt bytecomp
byte-compile cconv cl nadvice cl-loaddefs cl-lib dired package w3m-load
emacs-goodies-el emacs-goodies-custom emacs-goodies-loaddefs easy-mmode
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european ethiopic
indian cyrillic chinese case-table epa-hook jka-cmpr-hook help simple
abbrev minibuffer loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Sent from my free software system <http://fsf.org/>.

--Multipart_Mon_Jul_29_19:29:56_2013-1
Content-Type: text/plain; charset=US-ASCII

Sent from my free software system <http://fsf.org/>.

--Multipart_Mon_Jul_29_19:29:56_2013-1--




Acknowledgement sent to Erik Hetzner <egh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#14983; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 25 Dec 2015 21:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.